
local StoneGateV6 = ...


-- Apply building asset processor
StoneGateV6:registerAssetProcessor("models/hoardings/hoardingSmallGate.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})
function registerHoardingPart(_nameSize, _nameFbx, _nameAsset, _buildingZone)
    StoneGateV6:registerAssetId("models/hoardings/" .. _nameSize .. ".fbx/Prefab/hoarding/step_5_" .. _nameFbx .. "Part", "STONE_GATE_V6_" .. _nameAsset .. "_PREFAB")

-- Register the stone gate set decoration rampart part
    StoneGateV6:register({
	DataType = "BUILDING_PART",
	Id = "STONE_GATE_V6_" .. _nameAsset .. "_PART",
	Name = "STONE_GATE_V6_" .. _nameAsset .. "_NAME",
	Description = "STONE_GATE_V6_" .. _nameAsset .. "_DESC",
	Category = "EXTENSION",
	Mover = { DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "STONE_GATE_V6_" .. _nameAsset .. "_PREFAB"
	},
	Cost = {
		UpkeepCost = {
			{ Resource = "GOLD", Quantity = 0 }
		},
		RessourcesNeeded = { -- List of RESOURCE_QUANTITY_PAIR
			{ Resource = "PLANK", Quantity = 2 }
		}
	}
    })

    StoneGateV6:registerPrefabComponent("models/hoardings/" .. _nameSize .. ".fbx/Prefab/hoarding/step_5_" .. _nameFbx .. "Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR", -- Snaps the decoration only on minor attach nodes (here only on the roofs)
	BuildingZone = _buildingZone
    })
end

registerHoardingPart( "hoardingSmallGate", "SGate_HoardingA", "SGATE_HOARDING_A", { 0, 0 } )
