
local StoneGateV6 = ...

-- Apply building asset processor
StoneGateV6:registerAssetProcessor("models/machicolations/machicolationSmallGate.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})

function registerMachicolationPart(_nameSize, _nameFbx, _nameAsset, _buildingZone)
    StoneGateV6:registerAssetId("models/machicolations/" .. _nameSize .. ".fbx/Prefab/machicolation/" .. _nameFbx .. "Part", "STONE_GATE_V6_" .. _nameAsset .. "_PREFAB")

-- Register the stone gate set machicolation platform part
    StoneGateV6:register({
	DataType = "BUILDING_PART",
	Id = "STONE_GATE_V6_" .. _nameAsset .. "_PART",
	Name = "STONE_GATE_V6_" .. _nameAsset .. "_NAME",
	Description = "STONE_GATE_V6_" .. _nameAsset .. "_DESC",
	Category = "EXTENSION",
	Mover = { DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "STONE_GATE_V6_" .. _nameAsset .. "_PREFAB"
	},
	Cost = {
		UpkeepCost = {
			{ Resource = "GOLD", Quantity = 0 }
		},
		RessourcesNeeded = { -- List of RESOURCE_QUANTITY_PAIR
			{ Resource = "STONE", Quantity = 2 }
		}
	}
    })

    StoneGateV6:registerPrefabComponent("models/machicolations/" .. _nameSize .. ".fbx/Prefab/machicolation/" .. _nameFbx .. "Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR", -- Snaps the decoration only on minor attach nodes (here only on the roofs)
	BuildingZone = _buildingZone
    })
end

registerMachicolationPart( "machicolationSmallGate","step_4_SGate_MachicolationA", "SGATE_MACHICOLATION_A", { 0, 0 } )
registerMachicolationPart( "machicolationSmallGate","step_5_SGate_MachicolationClosingL", "SGATE_MACHICOLATION_CLOSING_L", { 0, 0 } )
registerMachicolationPart( "machicolationSmallGate","step_5_SGate_MachicolationClosingR", "SGATE_MACHICOLATION_CLOSING_R", { 0, 0 } )
registerMachicolationPart( "machicolationSmallGate","step_4_SGate_WoodenRoofA", "SGATE_MACHICOLATION_WOODEN_ROOF_A", { 0, 0 } )
registerMachicolationPart( "machicolationSmallGate","step_4_SGate_StoneRoofA", "SGATE_MACHICOLATION_STONE_ROOF_A", { 0, 0 } )
